> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process a campaign checkout



## OpenAPI

````yaml post /frontend/checkout/campaign/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/campaign/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Process a campaign checkout
      operationId: 71ae931c98cab3c5f31c4af5c37e38cb
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      requestBody:
        description: Data needed to process a campaign checkout
        required: true
        content:
          application/json:
            schema:
              required:
                - email
                - method_signup
                - frequency
                - amount
              properties:
                amount:
                  type: integer
                  example: '100'
                cardExpiry:
                  type: string
                  example: '0228'
                cardHolderName:
                  type: string
                  example: John Doe
                cvv:
                  type: string
                  example: '123'
                donation_amount:
                  type: integer
                  example: '100'
                email:
                  type: string
                  example: email@email.com
                expiryMonth:
                  type: string
                  example: '02'
                expiryYear:
                  type: string
                  example: '2028'
                firstName:
                  type: string
                  example: John
                lastName:
                  type: string
                  example: Doe
                frequency:
                  type: string
                  example: Every Month
                method_signup:
                  type: string
                  example: '3'
                number:
                  type: string
                  example: '4242424242424242'
                paying_processing:
                  type: string
                  example: '1'
                paymentMethod:
                  type: string
                  example: credit_card
                processingFee:
                  type: array
                  items:
                    type: string
                  example: '[''3'']'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: 'Success: Donation Added'
                  redirect:
                    type: string
                    example: /frontend/donations_page/1/1
                type: object
        '400':
          description: Error operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: 'Error: No Donation Added'
                  redirect:
                    type: string
                    example: /frontend/donations_page/1/1
                type: object
        '401':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object

````